Package com.enonic.xp.data

## Class Property

- java.lang.Object
- - com.enonic.xp.data.Property

-     @PublicApi
      public final class Property
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkName​(String name)` |
    `Property` | `copyTo​(PropertySet destination)` |
    `int` | `countAncestors()` |
    `boolean` | `equals​(Object o)` |
    `BinaryReference` | `getBinaryReference()` |
    `Boolean` | `getBoolean()` |
    `Double` | `getDouble()` |
    `GeoPoint` | `getGeoPoint()` |
    `int` | `getIndex()` |
    `Instant` | `getInstant()` |
    `Link` | `getLink()` |
    `LocalDate` | `getLocalDate()` |
    `LocalDateTime` | `getLocalDateTime()` |
    `LocalTime` | `getLocalTime()` |
    `Long` | `getLong()` |
    `String` | `getName()` |
    `Object` | `getObject()` |
    `PropertySet` | `getParent()` |
    `PropertyPath` | `getPath()` |
    `Reference` | `getReference()` |
    `PropertySet` | `getSet()` |
    `String` | `getString()` |
    `ValueType` | `getType()` |
    `Value` | `getValue()` |
    `int` | `hashCode()` |
    `boolean` | `hasNotNullValue()` |
    `boolean` | `hasNullValue()` |
    `void` | `setValue​(Value value)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setValue

          public void setValue​(Value value)

    - #### getParent

          public PropertySet getParent()

    - #### getName

          public String getName()

    - #### getIndex

          public int getIndex()

    - #### getPath

          public PropertyPath getPath()

    - #### getType

          public ValueType getType()

    - #### getValue

          public Value getValue()

    - #### hasNullValue

          public boolean hasNullValue()

    - #### hasNotNullValue

          public boolean hasNotNullValue()

    - #### getSet

          public PropertySet getSet()

    - #### getObject

          public Object getObject()

    - #### getString

          public String getString()

    - #### getBoolean

          public Boolean getBoolean()

    - #### getLong

          public Long getLong()

    - #### getDouble

          public Double getDouble()

    - #### getGeoPoint

          public GeoPoint getGeoPoint()

    - #### getReference

          public Reference getReference()

    - #### getBinaryReference

          public BinaryReference getBinaryReference()

    - #### getLink

          public Link getLink()

    - #### getLocalDate

          public LocalDate getLocalDate()

    - #### getLocalDateTime

          public LocalDateTime getLocalDateTime()

    - #### getLocalTime

          public LocalTime getLocalTime()

    - #### getInstant

          public Instant getInstant()

    - #### checkName

          public static void checkName​(String name)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### countAncestors

          public int countAncestors()

    - #### copyTo

          public Property copyTo​(PropertySet destination)